Export historie stavů pravidelných objednávek
curl --request GET \
--url 'https://zeptej.se.it/api/csv/v1/regular-order-history?key='import requests
url = "https://zeptej.se.it/api/csv/v1/regular-order-history?key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://zeptej.se.it/api/csv/v1/regular-order-history?key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://zeptej.se.it/api/csv/v1/regular-order-history?key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://zeptej.se.it/api/csv/v1/regular-order-history?key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://zeptej.se.it/api/csv/v1/regular-order-history?key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://zeptej.se.it/api/csv/v1/regular-order-history?key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<string>Endpointy
Regular Order History
Export historie stavů pravidelných objednávek
GET
/
regular-order-history
Export historie stavů pravidelných objednávek
curl --request GET \
--url 'https://zeptej.se.it/api/csv/v1/regular-order-history?key='import requests
url = "https://zeptej.se.it/api/csv/v1/regular-order-history?key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://zeptej.se.it/api/csv/v1/regular-order-history?key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://zeptej.se.it/api/csv/v1/regular-order-history?key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://zeptej.se.it/api/csv/v1/regular-order-history?key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://zeptej.se.it/api/csv/v1/regular-order-history?key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://zeptej.se.it/api/csv/v1/regular-order-history?key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<string>Sloupce odpovědi
Odpověď je CSV (text/csv). Sloupce jsou v tomto pořadí:
| Sloupec | Popis |
|---|---|
regular_order_history_id | ID v historii stavů |
regular_order_id | ID pravidelné objednávky |
order_status_id | ID stavu pravidelné objednávky |
order_status_name | Název stavu pravidelné objednávky |
status_note | Poznámka |
email_note | Poznámka do mailu |
email_sent_date_time | Datum zaslání emailu |
create_date_time | Datum a čas stavu |
is_customer_action | Je to akce zákazníka e-shopu? (0/1) |
user_name | Jméno uživatele, který změnu provedl |
last_updated_at | Timestamp poslední aktualizace položky |
Authorizations
Autorizační klíč. Povinný ve všech endpointech. Vydá vám ho tým Primulus Group.
Query Parameters
Datum od (YYYY-MM-DD).
Datum do (YYYY-MM-DD).
Filtr na datum poslední změny (Unix timestamp).
Vlastní limit počtu záznamů místo výchozí hodnoty.
Index prvního výsledku (první výsledek má index 0). Kombinuje se s limit.
Response
200 - text/csv
Úspěšná odpověď. Tělo je export ve formátu CSV (text/csv).
The response is of type string.